IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[tbAuditUser]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[tbAuditUser]
	(
		 [AuditUserId] INT NOT NULL IDENTITY(1,1) PRIMARY KEY
		,[UserId] INT NOT NULL CONSTRAINT [FK_UserId_User_UserId] REFERENCES [dbo].[tbUser] ([UserId])
		,[UserIdAffected] INT NULL CONSTRAINT [FK_UserIdAffected_User_UserId] REFERENCES [dbo].[tbUser] ([UserId])
		,[DateRecorded] DATETIME NOT NULL
		,[Action] VARCHAR(50) NOT NULL
		,[IpAddress] VARCHAR(15) NOT NULL
		,[ConcurrencyId] VARCHAR(50) NOT NULL
	)
END
