<%@ Page language="c#" Codebehind="AuditSecretView.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.AuditSecretView" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu_web" tagname="secretname" src="~/secretusercontrols/SecretName.ascx" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<ihawu:masterpage id="masterPage" runat="server">
	
	<ihawu_web:secretname id="SecretNameUserControl" runat="server" />
		
	<custom:newdialog runat="server" caption="Audit View" id="AuditSecretViewDialog">
		<thycotic:datagrid id="AuditHistoryGrid" runat="server" itemsname="Audits" >
			<columns>
				<asp:templatecolumn sortexpression="DateRecorded" headertext="Date">
					<itemtemplate>
						<thycotic:label id="DateRecordedLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn sortexpression="FullName" headertext="Full Name">
					<itemtemplate>
						<thycotic:label id="FullNameLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>		
				<asp:templatecolumn sortexpression="Action" headertext="Action">
					<itemtemplate>
						<thycotic:label id="ActionLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn sortexpression="Details" headertext="Details">
					<itemtemplate>
						<thycotic:label id="DetailsLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
		</thycotic:datagrid>
		<br/>
		<thycotic:button id="BackButton" text="Back" runat="server" />
	</custom:newdialog>

</ihawu:masterpage>
