DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 8
SET @NewSecretTypeName = 'Car Alarm Code'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '98528C4B-F456-45f2-A9F9-648A172B6BFC'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 36,
		'Pin', 'Pin',						1,	@NewSecretTypeId, 1, 'string' ,1,	0, '98528C4B-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 37,
		'Notes', 'Notes',					2,	@NewSecretTypeId, 0, 'string' ,1,	0, '271D5A92-2241-4a82-AC30-2E9636397F92'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END


